<?php  get_header(); ?>
<?php
/*
loop.php de WordPress modifiée par jm d'AxeNet.
Consultez l'article : http://blog.axe-net.fr/wordpress-theme-enfant-twentyten
*/
?>

<?php
 /* sidebar de droite : Zone primaire de widgets
?>
<div id="primary" class="widget-area" style="width:215px;">
 <?php get_sidebar(); ?>
</div>
<?php
 */
?>

<div id="container" style="width:660px;">
	<div id="content">
  <?php
  /*
   Attention : dans ce thème enfant destiné aux blogs SEO et afin d'éviter le duplicate-content,
   nous ne gérons pas volontairement l'affichage des pages : archives, auteurs, attachment, dates...
   En cas d'affichage de ces pages une balise meta "noindex" est d'ailleurs écrite dans le header.php (voir le code)
   Si vous souhaitez implémenter l'affichage et l'indexation de ces pages :
       => il vous faudra impérativement adapter le code ici même & dans header.php

  A) LE CHAPEAU :                                                                        */

  if (is_category() || is_tag()) { /*** CATÉGORIE ***/ ?>

  <h1 class="page-title"><?php single_cat_title(); ?></h1>
  <?php
   $sDescription = (is_tag()) ? tag_description() : category_description();
  	if (!empty($sDescription) && !$paged) { // SEO pas de description sur la pagination
    echo '<div class="archive-meta">'.$sDescription.'</div>';
   }

  } else if (is_search()) { /*** RECHERCHE ***/

   printf('<h1 class="fs_13">'. __('Search Results for: %s', 'twentyten').'</h1>', get_search_query());

   if (!have_posts()) {
    printf('<p>'.__('Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'twentyten').'</p>');
   }

  ?>
  <script type="text/javascript">
  //<![CDATA[
  function toggle(x){
  	var tog = document.getElementById('toggle-'+x);
  	if (tog.style.display == 'none') {
  		tog.style.display = 'block'
  	} else {
  		tog.style.display = 'none'
  	}
  }
  //]]>
  </script>
  <div class="txt_right fs_11" style="margin-bottom:5px;">&raquo; <a href="javascript:toggle(1)" title="Afficher/Masquer">conseils pour la recherche</a></div>
  <div id="toggle-1"<?php if (have_posts()) {echo ' style="display:none;"';} ?>>
   <ul class="mp_0">
    <li><span class="fs_12">Vous pouvez rechercher dans une catégorie précise :</span><br />
    => en utilisant la liste déroulante disposée sous le champ de recherche.</li>
    <li><span class="fs_12">Essayez des requêtes avec ou sans guillemets, par exemple :</span>
     <ul style="margin-top:0;">
      <li>mes mots-clés :<br />
      => les deux mots doivent être présents dans le(s) document(s) (plus de résultats).</li>
      <li>"mes mots-clés" :<br />
      => la phrase exacte doit être présente dans le(s) document(s) (moins de résultats, plus précis).</li>
     </ul>
    </li>
    <li>Utilisez le menu : Catégories d'articles.</li>
   </ul>
  </div>

  <?php

  } else if (is_page()) { /*** PAGE ***/ ?>

   <h1 class="entry-title"><?php the_title(); ?></h1>
   <?php
   if (is_page('plan')) { // include pour page non-WP
    require_once 'sitemap.php'; // Plan du site
   }

  } else if (! have_posts() || is_404()) {  /*** 404 ***/ ?>

  <div id="post-0" class="post error404 not-found">
  	<h1 class="entry-title"><?php _e( 'Not Found', 'twentyten' ); ?></h1>
  	<div class="entry-content">
  		<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyten' ); ?></p>

  	</div><!-- .entry-content -->
  </div><!-- #post-0 -->
  <p>Nous vous invitons à vous rendre à l'accueil du site : <a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a>,<br />
  ou bien à faire votre choix dans les catégories ci-dessous :</p>
  <ul>
   <?php wp_list_categories( array('orderby' => 'ID', 'title_li' => '')); ?>
  </ul>
  <p>Accueil : <a href="<?php bloginfo('url'); ?>"><?php bloginfo('url'); ?></a></p>

  <?php
  }
  ?>

  <?php
  /*
  B) LA LOOP                            */ ?>

  <?php while ( have_posts() ) : the_post(); // Start the Loop ?>

  <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

   <?php if (is_single()) { //  UN SEUL ARTICLE COMPLET *************** ?>

   <div id="nav-above" class="navigation">
    <div class="nav-previous"><?php previous_post_link( '%link', '&laquo; %title' ); ?></div>
    <div class="nav-next"><?php next_post_link( '%link', '%title &raquo;'); ?></div>
   </div>

   <div class="clear"></div>

   <h1 class="entry-title"><?php the_title(); ?></h1>

   <div class="entry-utility">
    <span class="cat-links">
    <?php printf( __( '<span class="%1$s"></span> %2$s', 'twentyten' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
    </span>
    <span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
    <?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
   </div>

   <?php } else if (!is_page()) { // L'INDEX, CATÉGORIE, ARCHIVE, ETC. (+ieurs articles) *************** ?>

   <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php _e('Lire l\'article', 'twentyten'); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

   <div class="entry-utility">
    <span class="cat-links">
     <?php printf( __( '<span class="%1$s"></span> %2$s', 'twentyten' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
    </span>
    <span class="comments-link">
     <?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?>
    </span>
    <?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
   </div>

   <?php } ?>

 		<?php if ( is_archive() || is_search() ) : // Display excerpts for archives and search. ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->
 		<?php else : ?>
			<div class="entry-content">
				<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
			</div><!-- .entry-content -->
 		<?php endif; ?>

  	<?php if (is_single()) { // publié (...) par "l'auteur" ?>
  	<div class="entry-meta">
    <?php twentyten_posted_on(); ?>
  	</div>
   <?php } ?>

  </div><!-- #post-## -->

  <?php if (is_single()) { ?>
  <div id="nav-above" class="navigation">
   <div class="nav-previous"><?php previous_post_link( '%link', '&laquo; %title' ); ?></div>
   <div class="nav-next"><?php next_post_link( '%link', '%title &raquo;'); ?></div>
  </div>
  <?php } ?>

  <?php comments_template('', true); ?>

  <?php endwhile; // End the loop. Whew. ?>

  <?php
  if (function_exists('postbar')) { // pour le plugin Pagebar
   postbar();
  } else if ($wp_query->max_num_pages > 1) { ?>
  <div id="nav-below" class="navigation">
   <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyten' ) ); ?></div>
   <div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?></div>
  </div><!-- #nav-below -->
  <?php
  }
  ?>
	</div>
</div>

<?php
/* sidebar de gauche : Zone secondaire de widgets */
?>
<div id="secondary" class="widget-area" style="width:285px;">
 <?php get_template_part('sidebar-right'); ?>
</div>
<?php

?>

<div class="clear"></div>
<?php get_footer(); ?>